## CGAL::Midpoint_of_max_spread<Traits, SpatialSeparator>

### Definition

Implements the midpoint of max spread splitting rule. A rectangle is cut through (Mind+Maxd)/2 orthogonal to the dimension with the maximum point spread [Mind,Maxd].

#include <CGAL/Splitters.h>

### Parameters

Expects for the first template argument a model of the concept SearchTraits, for example the type CGAL::Search_traits_3< Cartesian<double> >.

Expects for the second template argument a model of the concept Separator. It has as default value the type, CGAL::Plane_separator<Traits::FT>

### Is Model for the Concept

Splitter

### Creation

Midpoint_of_max_spread<Traits, SpatialSeparator> s;
| Default constructor.

Midpoint_of_max_spread<Traits, SpatialSeparator> s ( | unsigned int bucket_size);

| Constructor.

### Operations

unsigned int | s.bucket_size () | Returns the bucket size of the leaf nodes.

### See Also

Splitter,
SpatialSeparator